# Class Mouse6DPointerBehavior.EchoReadListener

java.lang.Object
com.sun.j3d.utils.behaviors.sensor.Mouse6DPointerBehavior.EchoReadListener

All Implemented Interfaces:
  `SensorReadListener`

Enclosing class:
  `Mouse6DPointerBehavior`

public class Mouse6DPointerBehavior.EchoReadListener extends Object implements SensorReadListener
This member class updates the echo transform in response to sensor reads.

Since:
  Java 3D 1.3

## Constructor Summary

Constructors
Constructor
Description
`EchoReadListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`read(SensorEvent e)`
This method is called each time the `dispatchEvents` method of `SensorEventAgent` is called and none of a sensor's buttons have been handled by a button listener.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EchoReadListener

public EchoReadListener()

## Method Details

### read

public void read(SensorEvent e)
Description copied from interface: `SensorReadListener`
This method is called each time the `dispatchEvents` method of `SensorEventAgent` is called and none of a sensor's buttons have been handled by a button listener. The sensor read value has not necessarily changed since the last read event.

Specified by:
  `read` in interface `SensorReadListener`
Parameters:
  `e` - the sensor event